



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Java基础知识强化79：被遗忘的Java Math类</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Java基础知识强化79：被遗忘的Java Math类</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-03 17:25:56 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>1. Math类概述</strong></p>
<p><strong>Math类包含用于执行基本数学运算的方法，如初等指数、对数、平方根和三角函数。</strong></p>
<p><strong>2. 成员变量 和 成员方法（常用的）</strong></p>
<p><strong>（1）成员变量</strong></p>
<div>
<pre class="prettyprint linenums"><strong> public  static  final  double PI</strong></pre>
</div>
<div>
<pre class="prettyprint linenums"><strong> public  static  final  double E</strong></pre>
</div>
<p><strong>（2）成员方法</strong></p>
<div>
<pre class="prettyprint linenums"><strong> public static int abs(int a)：绝对值<br />
 public static double ceil(double a):向上取整<br />
 public static double floor(double a):向下取整<br />
 public static int max(int a,int b):最大值 (min自学)<br />
 public static double pow(double a,double b):a的b次幂<br />
 public static double random():随机数 [0.0,1.0)，0.0 &lt;= x &lt; 1.0<br />
 public static int round(float a) 四舍五入(参数为double的自学)<br />
 public static double sqrt(double a):正平方根  </strong>  </pre>
</div>
<p><strong>3. 演示案例</strong></p>
<div>
<pre class="prettyprint linenums"><strong> package cn.itcast_01;

 /*<br />
  * Math:用于数学运算的类。<br />
  * 成员变量：<br />
  *         public static final double PI<br />
  *         public static final double E<br />
  * 成员方法：<br />
  *         public static int abs(int a)：绝对值<br />
  *        public static double ceil(double a):向上取整<br />
  *        public static double floor(double a):向下取整<br />
  *        public static int max(int a,int b):最大值 (min自学)<br />
  *        public static double pow(double a,double b):a的b次幂<br />
  *        public static double random():随机数 [0.0,1.0)<br />
  *        public static int round(float a) 四舍五入(参数为double的自学)<br />
  *        public static double sqrt(double a):正平方根<br />
  */<br />
 public class MathDemo {<br />
     public static void main(String[] args) {<br />
         // public static final double PI<br />
         System.out.println("PI:" + Math.PI);<br />
         // public static final double E<br />
         System.out.println("E:" + Math.E);<br />
         System.out.println("--------------");

         // public static int abs(int a)：绝对值<br />
         System.out.println("abs:" + Math.abs(10));<br />
         System.out.println("abs:" + Math.abs(-10));<br />
         System.out.println("--------------");

         // public static double ceil(double a):向上取整<br />
         System.out.println("ceil:" + Math.ceil(12.34));<br />
         System.out.println("ceil:" + Math.ceil(12.56));<br />
         System.out.println("--------------");

         // public static double floor(double a):向下取整<br />
         System.out.println("floor:" + Math.floor(12.34));<br />
         System.out.println("floor:" + Math.floor(12.56));<br />
         System.out.println("--------------");

         // public static int max(int a,int b):最大值<br />
         System.out.println("max:" + Math.max(12, 23));<br />
         // 需求：我要获取三个数据中的最大值<br />
         // 方法的嵌套调用<br />
         System.out.println("max:" + Math.max(Math.max(12, 23), 18));<br />
         // 需求：我要获取四个数据中的最大值<br />
         System.out.println("max:"<br />
                 + Math.max(Math.max(12, 78), Math.max(34, 56)));<br />
         System.out.println("--------------");

         // public static double pow(double a,double b):a的b次幂<br />
         System.out.println("pow:" + Math.pow(2, 3));<br />
         System.out.println("--------------");

         // public static double random():随机数 [0.0,1.0)<br />
         System.out.println("random:" + Math.random());<br />
         // 获取一个1-100之间的随机数<br />
         System.out.println("random:" + ((int) (Math.random() * 100) + 1));<br />
         System.out.println("--------------");

         // public static int round(float a) 四舍五入(参数为double的自学)<br />
         System.out.println("round:" + Math.round(12.34f));<br />
         System.out.println("round:" + Math.round(12.56f));<br />
         System.out.println("--------------");

         //public static double sqrt(double a):正平方根<br />
         System.out.println("sqrt:"+Math.sqrt(4));<br />
     }<br />
 }</strong></pre>
</div>
<p><strong>运行效果如下：</strong></p>
<p><strong><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/757858/201509/757858-20150925102142037-963261213.jpg" /></strong></p>
<p><strong>4. 总结一下Math类的方式：</strong></p>
<div>
<pre class="prettyprint linenums"><strong> public class MathTest<br />
 {<br />
     public static void main(String[] args)<br />
     {<br />
         /*---------下面是三角运算---------*/<br />
         //将弧度转换角度<br />
         System.out.println("Math.toDegrees(1.57)："<br />
             + Math.toDegrees(1.57));<br />
         //将角度转换为弧度<br />
         System.out.println("Math.toRadians(90)："<br />
             + Math.toRadians(90));<br />
         //计算反余弦，返回的角度范围在 0.0 到 pi 之间。<br />
         System.out.println("Math.acos(1.2)：" + Math.acos(1.2));<br />
         //计算反正弦；返回的角度范围在 -pi/2 到 pi/2 之间。<br />
         System.out.println("Math.asin(0.8)：" + Math.asin(0.8));<br />
         //计算反正切；返回的角度范围在 -pi/2 到 pi/2 之间。<br />
         System.out.println("Math.atan(2.3)：" + Math.atan(2.3));<br />
         //计算三角余弦。<br />
         System.out.println("Math.cos(1.57)：" + Math.cos(1.57));<br />
         //计算值的双曲余弦。<br />
         System.out.println("Math.cosh(1.2 )：" + Math.cosh(1.2 ));<br />
         //计算正弦<br />
         System.out.println("Math.sin(1.57 )：" + Math.sin(1.57 ));<br />
         //计算双曲正弦<br />
         System.out.println("Math.sinh(1.2 )：" + Math.sinh(1.2 ));<br />
         //计算三角正切<br />
         System.out.println("Math.tan(0.8 )：" + Math.tan(0.8 ));<br />
         //计算双曲正切<br />
         System.out.println("Math.tanh(2.1 )：" + Math.tanh(2.1 ));<br />
         //将矩形坐标 (x, y) 转换成极坐标 (r, thet));<br />
         System.out.println("Math.atan2(0.1, 0.2)：" + Math.atan2(0.1, 0.2));<br />
         /*---------下面是取整运算---------*/<br />
         //取整，返回小于目标数的最大整数。<br />
         System.out.println("Math.floor(-1.2 )：" + Math.floor(-1.2 ));<br />
         //取整，返回大于目标数的最小整数。<br />
         System.out.println("Math.ceil(1.2)：" + Math.ceil(1.2));<br />
         //四舍五入取整<br />
         System.out.println("Math.round(2.3 )：" + Math.round(2.3 ));<br />
         /*---------下面是乘方、开方、指数运算---------*/<br />
         //计算平方根。<br />
         System.out.println("Math.sqrt(2.3 )：" + Math.sqrt(2.3 ));<br />
         //计算立方根。<br />
         System.out.println("Math.cbrt(9)：" + Math.cbrt(9));<br />
         //返回欧拉数 e 的n次幂。<br />
         System.out.println("Math.exp(2)：" + Math.exp(2));<br />
         //返回 sqrt(x2 +y2)，没有中间溢出或下溢。<br />
         System.out.println("Math.hypot(4 , 4)：" + Math.hypot(4 , 4));<br />
         // 按照 IEEE 754 标准的规定，对两个参数进行余数运算。<br />
         System.out.println("Math.IEEEremainder(5 , 2)："<br />
             + Math.IEEEremainder(5 , 2));<br />
         //计算乘方<br />
         System.out.println("Math.pow(3, 2)：" + Math.pow(3, 2));<br />
         //计算自然对数<br />
         System.out.println("Math.log(12)：" + Math.log(12));<br />
         //计算底数为 10 的对数。<br />
         System.out.println("Math.log10(9)：" + Math.log10(9));<br />
         //返回参数与 1 之和的自然对数。<br />
         System.out.println("Math.log1p(9)：" + Math.log1p(9));<br />
         /*---------下面是符号相关的运算---------*/<br />
         //计算绝对值。<br />
         System.out.println("Math.abs(-4.5)：" + Math.abs(-4.5));<br />
         //符号赋值，返回带有第二个浮点数符号的第一个浮点参数。<br />
         System.out.println("Math.copySign(1.2, -1.0)："<br />
             + Math.copySign(1.2, -1.0));<br />
         //符号函数；如果参数为 0，则返回 0；如果参数大于 0，<br />
         // 则返回 1.0；如果参数小于 0，则返回 -1.0。<br />
         System.out.println("Math.signum(2.3)：" + Math.signum(2.3));<br />
         /*---------下面是大小相关的运算---------*/<br />
         //找出最大值<br />
         System.out.println("Math.max(2.3 , 4.5)：" + Math.max(2.3 , 4.5));<br />
         //计算最小值<br />
         System.out.println("Math.min(1.2 , 3.4)：" + Math.min(1.2 , 3.4));<br />
         //返回第一个参数和第二个参数之间与第一个参数相邻的浮点数。<br />
         System.out.println("Math.nextAfter(1.2, 1.0)："<br />
             + Math.nextAfter(1.2, 1.0));<br />
         //返回比目标数略大的浮点数<br />
         System.out.println("Math.nextUp(1.2 )：" + Math.nextUp(1.2 ));<br />
         //返回一个伪随机数，该值大于等于 0.0 且小于 1.0。<br />
         System.out.println("Math.random()：" + Math.random());<br />
     }<br />
 } </strong> </pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m8z1jdd9.html">GNU Readline 库及编程简介</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqvn0ro9.html">用C&num;制作推箱子小游戏</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqvwg5y9.html">Linux - 进程查看与管理</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8o0ex58.html">spring 3 mvc hello world &plus; mavern &plus;jetty</a>
		</li>
						<li><a href="https://www.batexi.com/a/m961yo38.html">基础知识《二》java的基本类型</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1dxe19.html">Unity 安卓Jar包的小错误</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnovgoq.html">【解决方法】You must rebuild it with bitcode enabled &lpar;Xcode setting ENABLE&lowbar;BITCODE&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyn1de9.html">linux中的shell脚本编程---初识shell</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jorol8.html">web框架开发-Django视图层</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2m1rpq.html">mpeg4文件分析&lpar;纯c解析代码&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wgp0nq.html">Session &amp;amp&semi; Cookie 简介</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e4xngk9.html">课外知识----easy BCD</a>
		</li>
						<li><a href="https://www.batexi.com/a/93w1p0gq.html">kafka在zookeeper上的节点信息和查看方式</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4j0doeq.html">python 基础5  初级函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kjyo239.html">更换Notepad&plus;&plus;主题与字体（下载与配置）</a>
		</li>
						<li><a href="https://www.batexi.com/a/93pog5g8.html">一、InnoDB引擎</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ppeeny9.html">git服务器安装和配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdj1y10q.html">linux--GCC简单用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9020wmoq.html">深入理解javascript原型和闭包 摘要</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvew6zx9.html">jquery分页滑动插件（鼠标可控制上下滑动）</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8e1ldlz9.html">虾米loop 摇头代码</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4yvey5q.html">Linux中tar命令-C用法</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1epo79.html">hdu 1241 Oil Deposits（DFS求连通块）</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7m5zgeq.html">SQL Server DAC  管理员专用连接</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rd2ndd8.html">转：Java开发牛人十大必备网站</a>
			</li>
						<li><a href="https://www.batexi.com/a/8z1zk7x9.html">异步导入导出Redis数据（利用Hiredis、Libevent）</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ok64rp9.html">SCLButton</a>
			</li>
						<li><a href="https://www.batexi.com/a/93x4dor9.html">Extjs4 自定义组件</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwdg5el8.html">COJ 0578 4019二分图判定</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvy0zoq.html">（转载）Python 列表&lpar;list&rpar;操作</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
